'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var alpha = require('@backstage/plugin-catalog-node/alpha');
var AwsS3EntityProvider = require('../providers/AwsS3EntityProvider.cjs.js');

const catalogModuleAwsS3EntityProvider = backendPluginApi.createBackendModule({
  pluginId: "catalog",
  moduleId: "aws-s3-entity-provider",
  register(env) {
    env.registerInit({
      deps: {
        config: backendPluginApi.coreServices.rootConfig,
        catalog: alpha.catalogProcessingExtensionPoint,
        logger: backendPluginApi.coreServices.logger,
        scheduler: backendPluginApi.coreServices.scheduler
      },
      async init({ config, catalog, logger, scheduler }) {
        catalog.addEntityProvider(
          AwsS3EntityProvider.AwsS3EntityProvider.fromConfig(config, {
            logger,
            scheduler
          })
        );
      }
    });
  }
});

exports.catalogModuleAwsS3EntityProvider = catalogModuleAwsS3EntityProvider;
//# sourceMappingURL=catalogModuleAwsS3EntityProvider.cjs.js.map
